//check whether the grids can be loaded
#include <iostream>
#include "load_grid.hpp"

int main(){
  auto range = QQbar_threshold::grid_range();
  std::cout << "no grid rescaled energy range: ("
            << range.Et_min << ", " << range.Et_max << ")\n";
  std::cout << "no grid rescaled width range: ("
            << range.Gammat_min << ", " << range.Gammat_max << ")\n";
  QQbar_threshold::load_grid("../grids/bbbar_grid.tsv");
  range = QQbar_threshold::grid_range();
  std::cout << "bottom rescaled energy range: ("
            << range.Et_min << ", " << range.Et_max << ")\n";
  std::cout << "bottom rescaled width range: ("
            << range.Gammat_min << ", " << range.Gammat_max << ")\n";
  QQbar_threshold::load_grid("../grids/ttbar_grid.tsv");
  range = QQbar_threshold::grid_range();
  std::cout << "top rescaled energy range: ("
            << range.Et_min << ", " << range.Et_max << ")\n";
  std::cout << "top rescaled width range: ("
            << range.Gammat_min << ", " << range.Gammat_max << ")\n";

}
