#!/bin/sh

echo "math user: $MATHEMATICAUSER";
MATHCMD="math"

if [ "$MATHEMATICAUSER" = "" ]; then
    $MATHCMD < bindings/Mathematica/compile.m
else
    echo installing as $MATHEMATICAUSER
    MATHDIR=bindings/Mathematica
    sudo chown -R "$MATHEMATICAUSER" $MATHDIR
    sudo --user="$MATHEMATICAUSER" \
         LIBQCD_INSTALL_PREFIX=$LIBQCD_INSTALL_PREFIX \
         $MATHCMD < $MATHDIR/compile.m
fi
