#include <iostream>
#include "QQbar_threshold/energy_levels.hpp"

int main(){
  namespace QQt = QQbar_threshold;
  const double mb_PS = 4.5; // bottom mass in PS scheme
  double E_1 = QQt::bbbar_energy_level(
      1,          // principal quantum number
      mb_PS,      // renormalisation scale
      mb_PS,      // quark mass
      QQt::LO     // perturbative order
  );
  std::cout << E_1 << '\n';
}
