Needs["QQbarThreshold`"];

LoadGrid[GridDirectory <> "ttbar_grid.tsv"];
With[
   {
     mu = 50.,
     muWidth = 350.,
     mtMS = 160., (* mass mt(mt) in the MSbar scheme *)
     width = 1.4,
     order = "N3LO"
   },
   Do[
      Print[
         sqrts, "\t",
         TTbarXSection[
            sqrts, {mu, muWidth}, {mtMS, width}, order,
            MassScheme -> {"MSshift", mtMS},
            BeyondQCD -> None
         ]
      ],
      {sqrts, 330., 345., 1.}
   ]
];
